Prima::Image::TransparencyControl(3)

NAME
Prima::Image::TransparencyControl - standard dialog for transparent color index selection.

DESCRIPTION
The module contains two classes - "Prima::Image::BasicTransparencyDialog" and "Prima::Image::TransparencyControl". The former provides a dialog, used by image codec-specific save options dialogs to select a transparent color index when saving an image to a file. "Prima::Image::TransparencyControl" is a widget class that displays the image palette and allow color rather than index selection.

Prima::Image::TransparencyControl

  Properties

index INTEGER
    Selects the palette index.

image IMAGE
    Selects image which palette is displayed, and the color index can be selected from.

  Events

Change
    Triggered when the user changes "index" property.

Prima::Image::BasicTransparencyDialog

  Methods

transparent BOOLEAN
    If 1, the transparent selection widgets are enabled, and the user can select the palette index. If 0, the widgets are disabled; the image file is saved with no transparent color index.

    The property can be toggled interactively by a checkbox.

AUTHOR
Dmitry Karasik, <dmitry@karasik.eu.org>.

SEE ALSO
Prima::ImageDialog.